import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { GPostReactions, Maybe } from 'inspire-gql';
import { CallingComponent, Reaction } from '../inspire-library.enum';
import { MemberReaction } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class AddReactionsComponent implements OnInit, OnChanges {
    showReactions: boolean;
    showAddReactions: boolean;
    isMobile: boolean;
    support: MemberReaction[];
    thanks: MemberReaction[];
    useful: MemberReaction[];
    reactions: Array<Maybe<GPostReactions>>;
    userNickName: string;
    callingComponent: CallingComponent;
    toggleReaction: EventEmitter<string>;
    reaction: typeof Reaction;
    isThanks: boolean;
    isSupport: boolean;
    isUseful: boolean;
    showReactionPopup: boolean;
    showReactionListPopup: boolean;
    CallingComponent: typeof CallingComponent;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    onToggleReaction(reaction: Reaction): void;
    isReactionSelected(userNickName: string, ...reactionsList: Array<MemberReaction[]>): boolean[];
    onClickReaction(value: boolean): void;
    onClickReactionList(value: boolean): void;
    dismissReactionsPopup(): void;
    onMouseOver(): void;
    onMouseLeave(): void;
    onMouseOverList(): void;
    onMouseLeaveList(): void;
    private mapReactions;
    private getMemberReactions;
    checkIsReactionSelected(): void;
    static ɵfac: i0.ɵɵFactoryDef<AddReactionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AddReactionsComponent, "ins-add-reactions", never, { "showReactions": "showReactions"; "showAddReactions": "showAddReactions"; "isMobile": "isMobile"; "support": "support"; "thanks": "thanks"; "useful": "useful"; "reactions": "reactions"; "userNickName": "userNickName"; "callingComponent": "callingComponent"; }, { "toggleReaction": "toggleReaction"; }, never, never>;
}
